// creator  : weidu.exe (version 23100)
// argument : SHAGRL01.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SHAGRL01~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #33367 /* ~My bones have been retrieved from the jaws of the shadow wolves.  I am grateful to you.  Badon and Dettseh have been relieved of their duty and crossed over... I will join them soon.~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #33370 /* ~I pray that you are in this place to strike a blow against the darkness that has engulfed it, a darkness that I had not power enough to defeat when I was among the living.~ */
  IF ~~ THEN DO ~GiveItemCreate("misc6p",LastTalkedToBy,0,0,0)~ GOTO 3
END

IF ~~ THEN BEGIN 2 // from: 4.0
  SAY #33372 /* ~I... will go, now, to rejoin my Keeper of the Eternal Sun.  I owe my freedom to you, and will always be thankful.  Live, my friends... live long and live well.  May the Light be forever victorious.~ */
  IF ~~ THEN DO ~AddExperienceParty(17750)
DestroySelf()
~ UNSOLVED_JOURNAL #5828 /* ~Investigate the deaths in the Umar Hills.

After the disappearance of the two spirits, Amuana appeared and rewarded me with a wardstone that she claims will render whoever holds it and all with them invisible to the Shade Lord's guardian... which she says to be a Shadow Dragon.  She warned me to be careful not to drop the stone or attack the dragon and I would be safe, then thanked me and disappeared.~ */ EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.0
  SAY #41585 /* ~But I have some power.  I have power enough to elude the attention of their guardians, if necessary, and I can give this to you.  A wardstone... carry it and the dreaded Shadow Dragon will not notice your passing.~ */
  IF ~~ THEN DO ~GiveItemCreate("KEY05",LastTalkedToBy,0,0,0)~ GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #41586 /* ~Do not attack the beast or otherwise draw its attention, and you shall be safe.  Safe enough, at least, to stand against that foul Shade Lord that has spread his hand over my once-glorious temple.~ */
  IF ~~ THEN GOTO 2
END
